## usbsdmux 0.2.1

=== Makefile ===
PYTHON=python3

PYTHON_ENV_ROOT=envs
PYTHON_PACKAGING_VENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-packaging-env

.PHONY: clean

# packaging environment #######################################################
$(PYTHON_PACKAGING_VENV)/.created: REQUIREMENTS.packaging.txt
	rm -rf $(PYTHON_PACKAGING_VENV) && \
	$(PYTHON) -m venv $(PYTHON_PACKAGING_VENV) && \
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	pip install --upgrade pip && \
	pip install -r REQUIREMENTS.packaging.txt
	date > $(PYTHON_PACKAGING_VENV)/.created

packaging-env: $(PYTHON_PACKAGING_VENV)/.created

sdist: packaging-env
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	rm -rf dist *.egg-info && \
	./setup.py sdist

_release: sdist
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	twine upload dist/*

# helper ######################################################################
clean:
	rm -rf $(PYTHON_ENV_ROOT)

envs: env packaging-env

=== debian/changelog ===
usbsdmux (0.2.1-1) unstable; urgency=medium

  * debian/copyright: Switched to LGPL-2+.
  * debian/control: Update Standards-Version to 4.6.0, no changes.
  * debian/control: Set Vcs-* headers.

 -- Vagrant Cascadian <vagrant@debian.org>  Tue, 07 Sep 2021 08:31:59 -0700

usbsdmux (0.2.0-2) experimental; urgency=medium

  * debian/control: Set architecture to "all".

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Jul 2021 13:21:49 -0700

usbsdmux (0.2.0-1) experimental; urgency=medium

  [ Vagrant Cascadian ]
  * Initial release. Closes: #988904

  [ Uwe Kleine-König ]
  * [debian] Remove usbsdmux.egg-info in clean target
  * [debian] Install udev rules
  * [debian] Remove empty patch directory

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 07 Jul 2021 11:44:20 -0700

=== debian/control ===
Source: usbsdmux
Section: misc
Priority: optional
Maintainer: Vagrant Cascadian <vagrant@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/pengutronix/usbsdmux
Vcs-Browser: https://salsa.debian.org/debian/usbsdmux
Vcs-Git: https://salsa.debian.org/debian/usbsdmux.git

Package: usbsdmux
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: control software for USB-SD-Mux devices
 The USB-SD-Mux hardware allows switching a microSD card between the
 host computer via USB or a device-under-test, allowing programmatic
 testing of low-level parts of the boot process such as boot loader
 and early operating system.
 .
 This package provides a commandline interface to control switching
 between host computer and device-under-test, as well as a command to
 configure the USB-SD-Mux device itself.

## usbsdmux 0.3.0

=== debian/changelog ===
usbsdmux (0.3.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Fix license, it is actually LGPL-2.1+
  * debian/control: Update Standards Version to 4.6.2.

 -- Vagrant Cascadian <vagrant@debian.org>  Sun, 03 Dec 2023 17:23:08 -0800

## usbsdmux 24.01

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 PYTHON_ENV_ROOT=envs
 PYTHON_PACKAGING_VENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-packaging-env
+PYTHON_TESTING_ENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-qa-env
 
 .PHONY: clean
 
@@ -30,3 +31,18 @@
 	rm -rf $(PYTHON_ENV_ROOT)
 
 envs: env packaging-env
+
+# testing #####################################################################
+$(PYTHON_TESTING_ENV)/.created: REQUIREMENTS.qa.txt
+	rm -rf $(PYTHON_TESTING_ENV) && \
+	$(PYTHON) -m venv $(PYTHON_TESTING_ENV) && \
+	. $(PYTHON_TESTING_ENV)/bin/activate && \
+	pip install pip --upgrade && \
+	pip install -r ./REQUIREMENTS.qa.txt && \
+	date > $(PYTHON_TESTING_ENV)/.created
+
+qa: $(PYTHON_TESTING_ENV)/.created
+	. $(PYTHON_TESTING_ENV)/bin/activate && \
+	black --check --diff . && \
+	flake8
+

=== debian/changelog ===
usbsdmux (24.01-1) unstable; urgency=medium

  * debian/copyright: Update for 24.01.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 17 Jan 2024 13:39:32 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/pengutronix/usbsdmux
 Vcs-Browser: https://salsa.debian.org/debian/usbsdmux

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/pengutronix/@PACKAGE@/tags .*/@ANY_VERSION@.tar.gz

## usbsdmux 24.01.1

=== debian/changelog ===
usbsdmux (24.01.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch, debian/copyright: Update URLs.

 -- Vagrant Cascadian <vagrant@debian.org>  Wed, 06 Mar 2024 21:32:40 -0800

## usbsdmux 24.11.1

=== Makefile ===
PYTHON=python3

PYTHON_ENV_ROOT=envs
PYTHON_PACKAGING_VENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-packaging-env
PYTHON_QA_ENV=$(PYTHON_ENV_ROOT)/$(PYTHON)-qa-env

# packaging environment #######################################################
.PHONY: packaging-env build _release

$(PYTHON_PACKAGING_VENV)/.created:
	rm -rf $(PYTHON_PACKAGING_VENV) && \
	$(PYTHON) -m venv $(PYTHON_PACKAGING_VENV) && \
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	$(PYTHON) -m pip install --upgrade pip && \
	$(PYTHON) -m pip install build
	date > $(PYTHON_PACKAGING_VENV)/.created

.PHONY: packaging-env build

packaging-env: $(PYTHON_PACKAGING_VENV)/.created

build: packaging-env
	. $(PYTHON_PACKAGING_VENV)/bin/activate && \
	rm -rf dist *.egg-info && \
	$(PYTHON) -m build

# helper ######################################################################
.PHONY: clean envs

clean:
	rm -rf $(PYTHON_ENV_ROOT)

envs: packaging-env qa-env

# testing #####################################################################
.PHONY: qa qa-env qa-codespell qa-pytest qa-ruff

$(PYTHON_QA_ENV)/.created:
	rm -rf $(PYTHON_QA_ENV) && \
	$(PYTHON) -m venv $(PYTHON_QA_ENV) && \
	. $(PYTHON_QA_ENV)/bin/activate && \
	$(PYTHON) -m pip install pip --upgrade && \
	$(PYTHON) -m pip install codespell ruff pytest pytest-mock  && \
	date > $(PYTHON_QA_ENV)/.created

qa-env: $(PYTHON_QA_ENV)/.created

qa: qa-codespell qa-pytest qa-ruff

qa-codespell: qa-env
	. $(PYTHON_QA_ENV)/bin/activate && \
	codespell

qa-codespell-fix: qa-env
	. $(PYTHON_QA_ENV)/bin/activate && \
	codespell -w

qa-pytest: qa-env
	. $(PYTHON_QA_ENV)/bin/activate && \
	$(PYTHON) -m pytest -vv

qa-ruff: qa-env
	. $(PYTHON_QA_ENV)/bin/activate && \
	ruff format --check --diff && ruff check

qa-ruff-fix: qa-env
	. $(PYTHON_QA_ENV)/bin/activate && \
	ruff format && ruff check --fix

=== debian/changelog ===
usbsdmux (24.11.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright: Update for 24.11.1.
  * debian/control: Add Build-Depends on pybuild-plugin-pyproject.
  * debian/control: Update to Standards Version 4.7.0.

 -- Vagrant Cascadian <vagrant@debian.org>  Thu, 09 Jan 2025 15:35:26 -0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,8 @@
  dh-python,
  python3-all,
  python3-setuptools,
-Standards-Version: 4.6.2
+ pybuild-plugin-pyproject,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://github.com/pengutronix/usbsdmux
 Vcs-Browser: https://salsa.debian.org/debian/usbsdmux

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/linux-automation/@PACKAGE@/tags .*/@ANY_VERSION@.tar.gz
